UltimasMedicionesFragment

com.uva.rafael.tfg_goniometer.view.fragments

## Class UltimasMedicionesFragment

- java.lang.Object
- - android.app.Fragment
  - - com.uva.rafael.tfg_goniometer.view.fragments.UltimasMedicionesFragment

- All Implemented Interfaces:
    android.content.ComponentCallbacks, android.content.ComponentCallbacks2, android.view.View.OnCreateContextMenuListener, ViewFunctions, ViewFunctions.UltimasMedicionesFunctions

      public class UltimasMedicionesFragment
      extends android.app.Fragment
      implements ViewFunctions, ViewFunctions.UltimasMedicionesFunctions

  Esta clase es el `Fragment` que se encarga de mostrar el listado de las ultimas 10 mediciones almacenadas por el usuario en la Base de Datos, ordenadas de mas a menos recientes.

  Esta clase forma parte de la aplicacion TFG-Goniometer, desarrollada para el Trabajo de Fin de Grado - Grado en Ingenieria Informatica (Universidad de Valladolid)

  Version:
    1.0
  Author:
    Rafael Matamoros Luque
  See Also:
    `UltimasMedicionesPresenter`, `Toolbar`, `RecyclerView`

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class android.app.Fragment

      `android.app.Fragment.InstantiationException, android.app.Fragment.SavedState`

    - ### Nested classes/interfaces inherited from interface com.uva.rafael.tfg_goniometer.interfaces.ViewFunctions

      `ViewFunctions.MedicionFunctions, ViewFunctions.NuevaMedicionFunctions, ViewFunctions.NuevoPacienteFunctions, ViewFunctions.PerfilPacienteFunctions, ViewFunctions.SobreAppFunctions, ViewFunctions.UltimasMedicionesFunctions`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) UltimasMedicionesPresenter` | `presenter`

    - ### Fields inherited from interface android.content.ComponentCallbacks2

      `TRIM_MEMORY_BACKGROUND, TRIM_MEMORY_COMPLETE, TRIM_MEMORY_MODERATE, TRIM_MEMORY_RUNNING_CRITICAL, TRIM_MEMORY_RUNNING_LOW, TRIM_MEMORY_RUNNING_MODERATE, TRIM_MEMORY_UI_HIDDEN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UltimasMedicionesFragment()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `displayError()` Metodo que muestra un mensaje de error cuando se ha intentado eliminar una medicion de la Base de Datos.
    `void` | `displayResult(android.support.v7.app.AlertDialog dialog)` Metodo que simplemente muestra el `AlertDialog` que ha recibido como parametro.
    `void` | `displaySuccess()` Metodo que muestra un mensaje de exito cuando se ha logrado eliminar correctamente una medicion de la Base de Datos.
    `android.view.View` | `onCreateView(android.view.LayoutInflater inflater, android.view.ViewGroup container, android.os.Bundle savedInstanceState)` Metodo llamado para instanciar el `Fragment` con su layout asociada (R.layout.ultimas_mediciones_fragment, en este caso).
    `void` | `onDestroy()` Perform any final cleanup before an activity is destroyed.
    `void` | `setAdapter(android.support.v7.widget.RecyclerView.Adapter adapter)` Metodo que se encarga de re-asignar el `RecyclerView.Adapter` (`MedicionListAdapter`, en este caso) al `RecyclerView` del `Fragment`.

    - ### Methods inherited from class android.app.Fragment

      `dump, equals, getActivity, getAllowEnterTransitionOverlap, getAllowReturnTransitionOverlap, getArguments, getChildFragmentManager, getContext, getEnterTransition, getExitTransition, getFragmentManager, getHost, getId, getLoaderManager, getParentFragment, getReenterTransition, getResources, getRetainInstance, getReturnTransition, getSharedElementEnterTransition, getSharedElementReturnTransition, getString, getString, getTag, getTargetFragment, getTargetRequestCode, getText, getUserVisibleHint, getView, hashCode, instantiate, instantiate, isAdded, isDetached, isHidden, isInLayout, isRemoving, isResumed, isVisible, onActivityCreated, onActivityResult, onAttach, onAttach, onAttachFragment, onConfigurationChanged, onContextItemSelected, onCreate, onCreateAnimator, onCreateContextMenu, onCreateOptionsMenu, onDestroyOptionsMenu, onDestroyView, onDetach, onHiddenChanged, onInflate, onInflate, onInflate, onLowMemory, onMultiWindowModeChanged, onOptionsItemSelected, onOptionsMenuClosed, onPause, onPictureInPictureModeChanged, onPrepareOptionsMenu, onRequestPermissionsResult, onResume, onSaveInstanceState, onStart, onStop, onTrimMemory, onViewCreated, onViewStateRestored, registerForContextMenu, requestPermissions, setAllowEnterTransitionOverlap, setAllowReturnTransitionOverlap, setArguments, setEnterSharedElementCallback, setEnterTransition, setExitSharedElementCallback, setExitTransition, setHasOptionsMenu, setInitialSavedState, setMenuVisibility, setReenterTransition, setRetainInstance, setReturnTransition, setSharedElementEnterTransition, setSharedElementReturnTransition, setTargetFragment, setUserVisibleHint, shouldShowRequestPermissionRationale, startActivity, startActivity, startActivityForResult, startActivityForResult, startIntentSenderForResult, toString, unregisterForContextMenu`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### presenter

          @Inject
          UltimasMedicionesPresenter presenter

  - ### Constructor Detail

    - #### UltimasMedicionesFragment

          public UltimasMedicionesFragment()

  - ### Method Detail

    - #### onCreateView

          @Nullable
          public android.view.View onCreateView(android.view.LayoutInflater inflater,
                                                          @Nullable
                                                          android.view.ViewGroup container,
                                                          android.os.Bundle savedInstanceState)

      Metodo llamado para instanciar el `Fragment` con su layout asociada (R.layout.ultimas_mediciones_fragment, en este caso).
      Overrides:
        `onCreateView` in class `android.app.Fragment`
      Parameters:
        `inflater` - The LayoutInflater object that can be used to inflate any view in the fragment.
        `container` - If non-null, this is the parent view that the fragment's UI should be attached to. The fragment should not add the view itself, but this can be used to generate the LayoutParams of the view.
        `savedInstanceState` - If non-null, this fragment is being re-constructed from a previous saved state as given here. Return the View for the fragment's UI, or null.

    - #### displaySuccess

          public void displaySuccess()

      Metodo que muestra un mensaje de exito cuando se ha logrado eliminar correctamente una medicion de la Base de Datos.
      Specified by:
        `displaySuccess` in interface `ViewFunctions`

    - #### displayError

          public void displayError()

      Metodo que muestra un mensaje de error cuando se ha intentado eliminar una medicion de la Base de Datos.
      Specified by:
        `displayError` in interface `ViewFunctions`

    - #### displayResult

          public void displayResult(android.support.v7.app.AlertDialog dialog)

      Metodo que simplemente muestra el `AlertDialog` que ha recibido como parametro.
      Specified by:
        `displayResult` in interface `ViewFunctions.UltimasMedicionesFunctions`
      Parameters:
        `dialog` - `AlertDialog` a mostrar

    - #### setAdapter

          public void setAdapter(android.support.v7.widget.RecyclerView.Adapter adapter)

      Metodo que se encarga de re-asignar el `RecyclerView.Adapter` (`MedicionListAdapter`, en este caso) al `RecyclerView` del `Fragment`.
      Specified by:
        `setAdapter` in interface `ViewFunctions.UltimasMedicionesFunctions`
      Parameters:
        `adapter` - `RecyclerView.Adapter` a asignar

    - #### onDestroy

          public void onDestroy()

      Perform any final cleanup before an activity is destroyed.
      Overrides:
        `onDestroy` in class `android.app.Fragment`